Changes

1,682 bytes added ,  20:08, 29 November 2022
more darkmode fixes
Line 229: Line 229:     
/* Dark */
 
/* Dark */
 +
 +
/* mw content borders */
 +
  @media (min-width: 1100px) {
 +
    @media (prefers-color-scheme: dark) {
 +
  #mw-content {
 +
    border: 3px solid #5c43c6;
 +
    border-radius: 10px;
 +
    box-shadow: #0000007d 0 0 4px;
 +
    margin-top: 1em;
 +
    margin-right: 1em;
 +
    background: rgba(22,7,74,0.99);
 +
    }
 +
  }
 +
}
 +
@media (prefers-color-scheme: dark) {
 +
#mw-content {
 +
  margin-left: 1em;
 +
  margin-bottom: 1em;
 +
  margin-right: 1em;
 +
  border: 3px solid #5c43c6;
 +
  box-shadow: #0000007d 0 0 4px;
 +
  border-bottom-right-radius: 10px;
 +
  border-bottom-left-radius: 10px;
 +
}
 +
}
 +
 +
@media (min-width: 1100px) {
 +
  @media (prefers-color-scheme: dark) {
 +
    #mw-site-navigation .sidebar-chunk, #mw-related-navigation .sidebar-chunk {
 +
      border: 3px solid #5c43c6;
 +
      border-radius: 10px;
 +
      box-shadow: #0000007d 0 0 4px;
 +
      background: rgba(22,7,74,0.99);
 +
    }
 +
  }
 +
}
 +
 +
/* Gallery Box */
 +
@media (prefers-color-scheme: dark) {
 +
.mw-body li.gallerybox div.thumb {
 +
  background: #372679;
 +
  border: solid #5c43c6;
 +
    border-top-width: medium;
 +
    border-right-width: medium;
 +
    border-bottom-width: medium;
 +
    border-left-width: medium;
 +
  border-width: 1px 1px 0.2em;
 +
  padding: 1.25em 1.75em;
 +
  box-shadow: 0 1px 2px 1px rgba(0,0,0,0.02);
 +
  padding: 0;
 +
}
 +
}
 +
 +
/* Horizontal lines */
 +
@media (prefers-color-scheme: dark){
 +
.mw-body .mw-parser-output h1::after, .mw-body .mw-parser-output h2::after {
 +
  content: '';
 +
  display: block;
 +
  border-bottom: solid 2px #6951cd;
 +
  overflow: hidden;
 +
}
 +
#mw-site-navigation .sidebar-chunk h3, #mw-related-navigation .sidebar-chunk h3 {
 +
  font-weight: normal;
 +
  font-size: 1em;
 +
  margin: 0.25em 0 0.75em 0;
 +
  padding-bottom: 0.15em;
 +
  border-bottom: solid 2px #6951cd;
 +
}
 +
}
    
/* Imbox dark color fix */
 
/* Imbox dark color fix */